#
# Conditional build:
%bcond_without	glamor		# glamor, new GL-based acceleration
#
%define	libdrm_ver	2.4.89
Summary:	X.org video driver for AMD Radeon GPUs
Summary(pl.UTF-8):	Sterowniki obrazu X.org do układów graficznych AMD Radeon
Name:		xorg-driver-video-amdgpu
Version:	19.1.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-amdgpu-%{version}.tar.bz2
# Source0-md5:	55ad19b858e186a2cf4e91ed832c05e7
URL:		https://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	Mesa-libgbm-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= %{libdrm_ver}
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.13
%{?with_glamor:BuildRequires:	xorg-xserver-server-devel >= 1.16.0}
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= %{libdrm_ver}
Requires:	xorg-xserver-libdri >= 1.13
Requires:	xorg-xserver-libglx >= 1.13
Requires:	xorg-xserver-server >= 1.13
%{?with_glamor:Requires:	xorg-xserver-server >= 1.16.0}
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
amdgpu is an Xorg video driver for AMD RADEON-based video cards with
the following features:
- support for 8-, 15-, 16-, 24- and 32-bit pixel depth,
- RandR support up to version 1.4,
- 3D acceleration.

This driver supports SI and newer families' video cards.

%description
amdgpu to sterownik obraz uXorg dla kart graficznych opartych na
układach AMD RADEON. Ma następujące możliwości:
- obsługa 8, 15, 16, 24, 30-bitowej głębi kolorów,
- obsługa RandR do wersji 1.4,
- akceleracja 3D.

Obsługuje karty graficzne z rodziny SI i nowszych.

%prep
%setup -q -n xf86-video-amdgpu-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_glamor:--disable-glamor}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*
%changelog
* Tue Oct 15 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-amdgpu.git;a=log;h=master

* Tue Oct 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 33508cb
- updated to 19.1.0

* Wed Mar 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 1da8414
- updated to 19.0.1

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 1199a7f
- updated to 19.0.0

* Wed Sep 19 2018 Jakub Bogusz <qboosh@pld-linux.org> e945bae
- updated to 18.1.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 8909bb5
- release 2 (by relup.sh)

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> b1dc2cf
- updated to 18.0.1

* Wed Nov 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 76bb124
- updated minimal libdrm and xserver version

* Thu Oct 26 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ace1645
- up to 1.4.0

* Fri Mar 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 46322a4
- adjusted descriptions

* Fri Mar 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 1fd83a0
- updated to 1.3.0

* Wed Nov 23 2016 Jakub Bogusz <qboosh@pld-linux.org> eba0b9c
- updated dependencies

* Sun Nov 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d1a9780
- up to 1.2.0

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 006979b
- release 2 (by relup.sh)

* Tue Sep 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 095854d
- updated to 1.1.2
- removed obsolete sysconfigdir patch

* Thu Sep 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 79f7c7b
- updated to 1.1.1
- added sysconfigdir patch (fixes configdir variable name inconsistency)

* Mon Apr 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 97bd444
- updated to 1.1.0

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 30e29fe
- updated to 1.0.1

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> b2ade66
- release 2 (by relup.sh)

* Mon Dec 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 8f8cb6c
- new

